#ifdef GL_ES                                             
precision lowp float;                                   
#endif        

varying vec4 v_fragmentColor;                           
varying vec2 v_texCoord;                                 
uniform sampler2D u_texture;  

void main()                                              
{                                                            
	float ratio=0.0;                                         
	vec4 texColor = texture2D(u_texture, v_texCoord);        
	ratio = texColor[0] > texColor[1]?(texColor[0] > texColor[2] ? texColor[0] : texColor[2]) :(texColor[1]>texColor[2]? texColor[1] : texColor[2]);                                       
	if (ratio != 0.0)                                           
	{                                                               
		//texColor[0] = texColor[0] ;                         
		//texColor[1] = texColor[1] ;                         
		//texColor[2] = texColor[2] ;                         
		//texColor[3] = ratio;                                    
	}                                                         
	else                                                       
	{                                                               
		texColor[3] = 0.0;                                      
	}                                                          
	gl_FragColor = v_fragmentColor*texColor;                    
}
	